<?php
/*
  $Id$

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2014 osCommerce

  Released under the GNU General Public License
*/

  class ets {
    var $code, $title, $description, $enabled;

    function ets() {
      global $order;
      $this->code = 'ets';
      $this->title = MODULE_PAYMENT_ETS_TEXT_TITLE;
      $this->description = MODULE_PAYMENT_ETS_TEXT_DESCRIPTION;
      $this->sort_order = defined('MODULE_PAYMENT_ETS_SORT_ORDER') ? MODULE_PAYMENT_ETS_SORT_ORDER : 0;
      $this->enabled = defined('MODULE_PAYMENT_ETS_STATUS') && (MODULE_PAYMENT_ETS_STATUS == 'True') ? true : false;
      $this->order_status = defined('MODULE_PAYMENT_ETS_ORDER_STATUS_ID') && ((int)MODULE_PAYMENT_ETS_ORDER_STATUS_ID > 0) ? (int)MODULE_PAYMENT_ETS_ORDER_STATUS_ID : 0;

      if ( $this->enabled === true ) {
        if ( isset($order) && is_object($order) ) {
          $this->update_status();
        }
      }
    }

    function update_status() {
      global $order;

      if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_ETS_ZONE > 0) ) {
        $check_flag = false;
        $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_ETS_ZONE . "' and zone_country_id = '" . $order->delivery['country']['id'] . "' order by zone_id");
        while ($check = tep_db_fetch_array($check_query)) {
          if ($check['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check['zone_id'] == $order->delivery['zone_id']) {
            $check_flag = true;
            break;
          }
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
      }

// disable the module if the order only contains virtual products
      if ($this->enabled == true) {
        if ($order->content_type == 'virtual') {
          $this->enabled = false;
        }
      }
    }

    function javascript_validation() {
      return false;
    }

    function selection() {
      return array('id' => $this->code,
                   'module' => $this->title);
    }

    function pre_confirmation_check() {
      return false;
    }

    function confirmation() {
            global $order;
// echo $order->info[total];
  $keytest="select from " . TABLE_CONFIGURATION . " configuration_key = 'MODULE_PAYMENT_API_KEY'";
        // $insertest=tep_db_fetch_array(tep_db_query("select * from 'orders_status' where order_status_name = 'Paid'"));


  $key=tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_API_KEY'");
  $key2=tep_db_fetch_array($key);
// echo $key2[configuration_value];

//   $insertest=tep_db_query("SELECT * FROM orders_status where `orders_status_name` = 'Paid' ");
// // echo $insertest->num_rows;

// if($insertest->num_rows =='0')
// { tep_db_query("insert into " . TABLE_ORDERS_STATUS . " (orders_status_id, language_id, orders_status_name) values ('" . $status_id . "', '1', 'Paid')");
// }

$this->test ='<head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge,chrome=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/jquery.hosted-payments.js/latest/jquery.hosted-payments.min.css">
<head>
<body>


    <div 
        id="hp" 
        data-ets-key='.$key2[configuration_value].'
        data-amount='.$order->info[total].
        '>
    </div>

    <input id="ETSResponse" type="hidden">
<script>
jQuery(window).load(function() {
jQuery.getScript( "https://code.jquery.com/jquery-3.0.0.min.js", function(){

jQuery.getScript( "https://cdn.jsdelivr.net/jquery.hosted-payments.js/latest/jquery.hosted-payments.min.js", function(){
jQuery("#tdb5").hide();
      jQuery("#hp").hp({ 
        paymentTypeOrder: [0],
        allowHttpsSkip: true,
        successCallback: function (response) { 
          console.info(response); 
          $("#ETSResponse").val(JSON.stringify(response)); 
          jQuery("#tdb5").click();

        }, 
        errorCallback: function (response) { 
          console.error(response); 
          $("#ETSResponse").val(JSON.stringify(response)); 
        },
        })
      })
    })
      });
    </script>
</body>';

  echo $this->test;

      // return $confirmation;
    }

    function process_button() {
      return false;
    }

    function before_process() {
      return false;
    }

    function after_process() {
      return false;
    }

    function get_error() {
      return false;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_ETS_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Enable EMoney Module', 'MODULE_PAYMENT_ETS_STATUS', 'True', 'Do you want to accept EMoney payments?', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
     
       tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('API Key', 'MODULE_PAYMENT_API_KEY', '0', 'Merchant Key provided by EMoney', '6', '2', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort order of display.', 'MODULE_PAYMENT_ETS_SORT_ORDER', '0', 'Sort order of display. Lowest is displayed first.', '6', '0', now())");
      // tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Set Order Status', 'MODULE_PAYMENT_ETS_ORDER_STATUS_ID', '0', 'Set the status of orders made with this payment module to this value', '6', '0', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");

$insertest=tep_db_query("SELECT * FROM orders_status where `orders_status_name` = 'Paid' ");
// echo $insertest->num_rows;

if($insertest->num_rows =='0')

{ 

$status_query = tep_db_query("select max(orders_status_id) as status_id from " . TABLE_ORDERS_STATUS);
          $status = tep_db_fetch_array($status_query);
          $status_id = $status['status_id']+1;
  tep_db_query("insert into " . TABLE_ORDERS_STATUS . " (orders_status_id, language_id, orders_status_name) values ('" . $status_id . "', '1', 'Paid')");
}
         tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('Set Order Status', 'MODULE_PAYMENT_ETS_ORDER_STATUS_ID', '0', 'Set the status of orders made with this payment module to this value', '6', '0', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");

   }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_PAYMENT_ETS_STATUS', 'MODULE_PAYMENT_API_KEY', 'MODULE_PAYMENT_ETS_ORDER_STATUS_ID', 'MODULE_PAYMENT_ETS_SORT_ORDER');
    }
  }
?>
